# pandas.core.window.Expanding.corr

`Expanding.``corr`(other=None, pairwise=None, **kwargs)

  expanding sample correlation

  Parameters:

  other : Series, DataFrame, or ndarray, optional

  > if not supplied then will default to self and produce pairwise output

  pairwise : bool, default None

  > If False then only matching columns between self and other will be used and the output will be a DataFrame. If True then all pairwise combinations will be calculated and the output will be a MultiIndex DataFrame in the case of DataFrame inputs. In the case of missing elements, only complete pairwise observations will be used.

  Returns: | same type as input

  See also

  `pandas.Series.expanding`, `pandas.DataFrame.expanding`

Scroll To Top